Method | Description | |
---|---|---|
Execute ( Autodesk commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
|
FindParameter ( string parameterName, FamilyInstance familyInstanceName ) : string |
get the parameter value according given parameter name
|
|
RotateElement ( ) : void |
The function set value to rotation of the beams and braces and rotate columns.
|
|
RotateFramingObjects ( ) : System |
Default constructor of RotateFramingObjects
|
public Execute ( Autodesk commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result | ||
commandData | Autodesk | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
return | Autodesk.Revit.UI.Result |
public FindParameter ( string parameterName, FamilyInstance familyInstanceName ) : string | ||
parameterName | string | |
familyInstanceName | FamilyInstance | |
return | string |